Fehler beim erstellen vom Backup

Hallo zusammen,
ich habe seit kurzem das Problem, das ich keine Backups mehr erstellen kann.
Es kommt immer die Meldung (® Unknown error, see supervisor)
Ich kann leider mit den Daten nichts anfangen.
Kann mir einer helfen?
Danke
In dem Protokoll steht dann.
File “/usr/src/supervisor/supervisor/homeassistant/module.py”, line 386, in backup
await self.sys_run_in_executor(_write_tarfile)
File “/usr/local/lib/python3.11/concurrent/futures/thread.py”, line 58, in run
result = self.fn(*self.args, **self.kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/supervisor/supervisor/homeassistant/module.py”, line 377, in _write_tarfile
atomic_contents_add(
File “/usr/local/lib/python3.11/site-packages/securetar/init.py”, line 201, in atomic_contents_add
tar_file.add(directory_item.as_posix(), arcname=arcpath, recursive=False)
File “/usr/local/lib/python3.11/tarfile.py”, line 2180, in add
self.addfile(tarinfo, f)
File “/usr/local/lib/python3.11/tarfile.py”, line 2208, in addfile
copyfileobj(fileobj, self.fileobj, tarinfo.size, bufsize=bufsize)
File “/usr/local/lib/python3.11/tarfile.py”, line 252, in copyfileobj
buf = src.read(bufsize)
^^^^^^^^^^^^^^^^^
OSError: [Errno 5] I/O error

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/src/supervisor/supervisor/backups/manager.py”, line 249, in _do_backup
await backup.store_homeassistant(
File “/usr/src/supervisor/supervisor/backups/backup.py”, line 565, in store_homeassistant
await self.sys_homeassistant.backup(homeassistant_file, exclude_database)
File “/usr/src/supervisor/supervisor/jobs/decorator.py”, line 296, in wrapper
raise err
File “/usr/src/supervisor/supervisor/jobs/decorator.py”, line 289, in wrapper
return await self._method(obj, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/supervisor/supervisor/homeassistant/module.py”, line 389, in backup
raise HomeAssistantBackupError(
supervisor.exceptions.HomeAssistantBackupError: Can’t backup Home Assistant Core config folder: [Errno 5] I/O error
24-01-08 18:24:50 INFO (MainThread) [supervisor.backups.manager] Found 0 backup files
24-01-08 18:24:50 INFO (MainThread) [supervisor.backups.manager] Found 0 backup files
24-01-08 18:24:59 INFO (MainThread) [supervisor.backups.manager] Backup 3dc31bb5 starting stage addon_repositories
24-01-08 18:24:59 INFO (MainThread) [supervisor.backups.manager] Backup 3dc31bb5 starting stage docker_config
24-01-08 18:24:59 INFO (MainThread) [supervisor.backups.manager] Creating new full backup with slug 3dc31bb5
24-01-08 18:24:59 INFO (MainThread) [supervisor.backups.manager] Backup 3dc31bb5 starting stage addons
24-01-08 18:24:59 INFO (MainThread) [supervisor.addons.addon] Building backup for add-on core_configurator
24-01-08 18:24:59 INFO (MainThread) [supervisor.addons.addon] Finish backup for addon core_configurator
24-01-08 18:24:59 INFO (MainThread) [supervisor.addons.addon] Building backup for add-on core_ssh
24-01-08 18:24:59 INFO (MainThread) [supervisor.addons.addon] Finish backup for addon core_ssh
24-01-08 18:24:59 INFO (MainThread) [supervisor.addons.addon] Building backup for add-on core_duckdns
24-01-08 18:24:59 INFO (MainThread) [supervisor.addons.addon] Finish backup for addon core_duckdns
24-01-08 18:24:59 INFO (MainThread) [supervisor.backups.manager] Backup 3dc31bb5 starting stage home_assistant
24-01-08 18:24:59 INFO (MainThread) [supervisor.homeassistant.module] Backing up Home Assistant Core config folder
24-01-08 18:25:09 ERROR (MainThread) [supervisor.homeassistant.module] Can’t backup Home Assistant Core config folder: [Errno 5] I/O error
24-01-08 18:25:09 ERROR (MainThread) [supervisor.backups.manager] Backup 3dc31bb5 error
Traceback (most recent call last):
File “/usr/src/supervisor/supervisor/homeassistant/module.py”, line 386, in backup
await self.sys_run_in_executor(_write_tarfile)
File “/usr/local/lib/python3.11/concurrent/futures/thread.py”, line 58, in run
result = self.fn(*self.args, **self.kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/supervisor/supervisor/homeassistant/module.py”, line 377, in _write_tarfile
atomic_contents_add(
File “/usr/local/lib/python3.11/site-packages/securetar/init.py”, line 201, in atomic_contents_add
tar_file.add(directory_item.as_posix(), arcname=arcpath, recursive=False)
File “/usr/local/lib/python3.11/tarfile.py”, line 2180, in add
self.addfile(tarinfo, f)
File “/usr/local/lib/python3.11/tarfile.py”, line 2208, in addfile
copyfileobj(fileobj, self.fileobj, tarinfo.size, bufsize=bufsize)
File “/usr/local/lib/python3.11/tarfile.py”, line 252, in copyfileobj
buf = src.read(bufsize)
^^^^^^^^^^^^^^^^^
OSError: [Errno 5] I/O error

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/src/supervisor/supervisor/backups/manager.py”, line 249, in _do_backup
await backup.store_homeassistant(
File “/usr/src/supervisor/supervisor/backups/backup.py”, line 565, in store_homeassistant
await self.sys_homeassistant.backup(homeassistant_file, exclude_database)
File “/usr/src/supervisor/supervisor/jobs/decorator.py”, line 296, in wrapper
raise err
File “/usr/src/supervisor/supervisor/jobs/decorator.py”, line 289, in wrapper
return await self._method(obj, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/supervisor/supervisor/homeassistant/module.py”, line 389, in backup
raise HomeAssistantBackupError(
supervisor.exceptions.HomeAssistantBackupError: Can’t backup Home Assistant Core config folder: [Errno 5] I/O error

I/O error weißt eigentlich oft auf einen (Arbeits)Speicher- oder Festplattenfehler hin, oder du hast keinen Platz mehr auf der Festplatte. Wie hast du HA denn installiert und hast du noch Kapazitäten frei?

Ich würde auch mal den RAM und SSD/HDD/SD auf mögliche Fehler prüfen und bei Bedarf austauschen.

Hallo Wapjoe,
HA ist auf einem alten Mac mini installiert
Die Festplatte ist eine SSD und kann eigentlich nicht voll sein.
Ich habe auch schon alle alten Backups gelöscht.
Auch lassen sich noch neue integrationen installieren und alles läuft flüssig.

Kann ich die Festplatte oder auch den RAM im Terminal prüfen?

Puhh, da bin ich überfragt, HA läuft bei mir über Proxmox als VM. Eventuell gibt es den Memtest beim Bootvorgang, also im Bootmenü. Wenn möglich besser ausbauen und extern oder ber Live-CD oder Live USB Stick prüfen. Ich vermute mal auf dem Mac läuft kein Mac OS mehr?

Richtig, es läuft nur HA auf dem Mac ohne Mac OS.
Ich habe mal System Monitor installiert, dort ist zumindest zu erkennen das die Festplatte noch über 100 GB frei hat und auch der RAM nicht ausgelastet ist.
wenn ich die Zeit finde, werde ich es mal mit einem Live Stick versuchen.
Solange hoffe ich mal das ich kein Backup benötige;-)